Save object to stream

- « COMPersistHelper::SaveToFile

- com_exception »

- PHP Manual
- COMPersistHelper
- Save object to stream

# COMPersistHelper::SaveToStream

(PHP 5, PHP 7, PHP 8)

COMPersistHelper::SaveToStream — Save object to stream

### Description

public COMPersistHelper::SaveToStream(resource `$stream`): bool

Saves an object to the specified stream.

### Parameters

`stream`
  The stream resource to which to save the object.

### Return Values

Returns `true` on success or `false` on failure.

### Errors/Exceptions

A com_exception is thrown if the associated object does neither implement the COM interface IPersistStream nor IPersistStreamInit, or when calling the IPersistStream::Save() method failed.